<?php
/***************************************************************************
*                                                                          *
*   (c) 2017 Öner TOMRUK - CS-Cart.com.tr                                  *
*                                                                          *
* This  is  commercial  software,  only  users  who have purchased a valid *
* license  and  accept  to the terms of the  License Agreement can install *
* and use this program.                                                    *
*                                                                          *
****************************************************************************
* PLEASE READ THE FULL TEXT  OF THE SOFTWARE  LICENSE   AGREEMENT  IN  THE *
* "copyright.txt" FILE PROVIDED WITH THIS DISTRIBUTION PACKAGE.            *
****************************************************************************/
use Tygh\Registry;
use Tygh\Database;
if (!defined('BOOTSTRAP')) { die('Access denied'); }

# Registered hooks
function fn_android_notifications_get_order_info(&$order)
{
	if (defined('A_CONTROLLER') && defined('A_MODE')) {
		if (A_CONTROLLER == 'checkout' && A_MODE == 'complete') {
			//fn_print_die($order);
			$get_new_orders_value = db_get_field("SELECT value FROM ?:android_notifications_settings WHERE name = ?s", 'get_new_orders');
			//fn_print_die($get_new_order_value);
			if ($get_new_orders_value == 1) {
				if ($order['status'] == 'O' || $order['status'] == 'P') {
					// Get Status ID for get description
					$status_id = db_get_field("SELECT status_id FROM ?:statuses WHERE status = ?s AND type = ?s", $order['status'], 'O');
					//fn_print_die($status_id);
					// Get Status description
					$status_desc = db_get_field("SELECT description FROM ?:status_descriptions WHERE status = ?s AND type = ?s AND lang_code = ?s", $order['status'], 'O', CART_LANGUAGE);
					//fn_print_die($status_desc);
					$data = array (
    					'type' => 'new_order',
						'cs_db_id' => $order['order_id'],
						'date' => $order['timestamp'],
						'status' => $status_desc
   					);
					// Check ID exist:
					$exist_id = db_get_field("SELECT id FROM ?:android_notifications WHERE cs_db_id = ?i AND type = ?s", $data['cs_db_id'], 'new_order');
						if ($exist_id == '') {
							db_query("INSERT INTO ?:android_notifications ?e", $data);
						}	
				}
			}
		}
	}
	return true;
}

function fn_android_notifications_update_profile(&$action, &$user_data, &$current_user_data)
{
	if ($action == 'add') {
		//fn_print_r($action);
		//fn_print_r($user_data);
		//fn_print_die($current_user_data);
		$get_new_users_value = db_get_field("SELECT value FROM ?:android_notifications_settings WHERE name = ?s", 'get_new_users');
		//fn_print_die($get_new_users_value);
		if ($get_new_users_value == 1) {
			$status = '';
			if ($user_data['status'] == 'A') {
				$status = __('active');
			}
			if ($user_data['status'] == 'D') {
				$status = __('disabled');
			}
			$data = array (
    			'type' => 'new_user',
				'cs_db_id' => $user_data['user_id'],
				'date' => TIME,
				'status' => $status
   			);
				// Check ID exist:
				$exist_id = db_get_field("SELECT id FROM ?:android_notifications WHERE cs_db_id = ?i AND type = ?s", $data['cs_db_id'], 'new_user');
					if ($exist_id == '') {
						db_query("INSERT INTO ?:android_notifications ?e", $data);
					}
		}	
		
	}
	return true;
}
# /Registered hooks

function get_addon_androidnotifications_data() {
	//$addon_exchange_data = db_get_field("SELECT options FROM ?:addons WHERE addon=?s", exchange_update);
	//$addon_exchange_data = unserialize($addon_exchange_data);
	$addon_androidnotifications_data["api_password"] = Registry::get('addons.android_notifications.api_password');
	//$addon_csnotifications_data["cron_pass"] = Registry::get('addons.exchange_update.cron_password');

	return $addon_androidnotifications_data;
}

function fn_android_notifications_info()
{
	return __('android_notifications_info');
}